gr::radar::qtgui_spectrogram_plot Class Reference

This block displays a spectrogram plot of a tagged stream with vectors. Tagged streams combined with vectors represent a matrix. The value of the matrix elements are displayed within a color plot. The colorbar can be scaled automatically or with a manual scale with axis_z. The axis of x and y are set with axis_x and axis_y. The update rate interval is given in milliseconds. More...

`#include <qtgui_spectrogram_plot.h>`

Inheritance diagram for gr::radar::qtgui_spectrogram_plot:

## Public Types

typedef std::shared_ptr< qtgui_spectrogram_plot > | sptr

## Static Public Member Functions

static sptr | make (int vlen, int interval, std::string xlabel, std::string ylabel, std::string label, std::vector< float > axis_x, std::vector< float > axis_y, std::vector< float > axis_z, bool autoscale_z, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::qtgui_spectrogram_plot.

## Detailed Description

This block displays a spectrogram plot of a tagged stream with vectors. Tagged streams combined with vectors represent a matrix. The value of the matrix elements are displayed within a color plot. The colorbar can be scaled automatically or with a manual scale with axis_z. The axis of x and y are set with axis_x and axis_y. The update rate interval is given in milliseconds.

Parameters

  vlen | Vector length
  xlabel | Label for x axis
  ylabel | Label for y axis
  label | Addition label for title
  axis_x | Display range for x axis
  axis_y | Display range for y axis
  axis_z | Display range for z axis. This defines the colorbar if autoscale_z is disabled.
  autoscale_z | Toggle automatic scale of the colorbar
  packet_len | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<qtgui_spectrogram_plot> gr::radar::qtgui_spectrogram_plot::sptr

## Member Function Documentation

## make()

sptr gr::radar::qtgui_spectrogram_plot::make | ( | int | vlen,
|  | int | interval,
|  | std::string | xlabel,
|  | std::string | ylabel,
|  | std::string | label,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::vector< float > | axis_z,
|  | bool | autoscale_z,
|  | std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::qtgui_spectrogram_plot.

To avoid accidental use of raw pointers, radar::qtgui_spectrogram_plot's constructor is in a private implementation class. radar::qtgui_spectrogram_plot::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- qtgui_spectrogram_plot.h